## python-agate-dbf 0.2.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/agatedbf.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/agatedbf.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/agatedbf"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/agatedbf"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-agate-dbf 0.2.0

=== debian/changelog ===
python-agate-dbf (0.2.0-2) unstable; urgency=medium

  * Bump standards version to 4.0.0, no changes required
  * Build the docs using the upstream Makefile
  * Mark doc package multiarch foreign
  * Release to unstable

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 25 Jul 2017 10:56:45 +0100

python-agate-dbf (0.2.0-1) experimental; urgency=low

  * Initial release. (Closes: #850450)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 22 Mar 2017 10:43:49 +0000

=== debian/control ===
Source: python-agate-dbf
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python-agate-doc <!nodoc>,
               python3-agate <!nocheck> <!nodoc>,
               python3-all,
               python3-dbfread <!nocheck> <!nodoc>,
               python3-doc <!nodoc>,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate-dbf.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate-dbf.git
Homepage: http://agate-dbf.rtfd.org/
X-Python3-Version: >= 3.3

Package: python3-agatedbf
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-agatedbf-doc <!nodoc>
Description: support for dbf files in agate
 Agate-dbf adds read support for dbf files to agate. It uses a monkey patching
 pattern to add read methods for dbf files to all agate.Table instances after
 import of the corresponding agatedbf module.
 .
 This package provides the modules for Python 3.

Package: python-agatedbf-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for agate-dbf
 Agate-dbf adds read support for dbf files to agate. It uses a monkey patching
 pattern to add read methods for dbf files to all agate.Table instances after
 import of the corresponding agatedbf module.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export PYBUILD_NAME = agatedbf
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE = test
else
export PYBUILD_BEFORE_TEST = cp -r {dir}/examples {build_dir}
export PYBUILD_AFTER_TEST = rm -rf {build_dir}/examples
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r examples tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v
 ; done
Depends: python3-agatedbf,
         python3-all,
         python3-pytest

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/agate-dbf-$1\.tar\.gz/ \
https://github.com/wireservice/agate-dbf/tags .*/v?(\d\S+)\.tar\.gz

## python-agate-dbf 0.2.2

=== debian/changelog ===
python-agate-dbf (0.2.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 10 Dec 2022 15:06:11 +0000

python-agate-dbf (0.2.2-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Bump debhelper from old 12 to 13.

  [ Andrius Merkys ]
  * New upstream version 0.2.2

 -- Andrius Merkys <merkys@debian.org>  Tue, 14 Sep 2021 01:39:35 -0400

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: python-agate-dbf
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python-agate-doc <!nodoc>,
                python3-agate <!nocheck> <!nodoc>,
                python3-all,
@@ -16,10 +15,9 @@
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
 Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/python-agate-dbf.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-agate-dbf.git
-Homepage: http://agate-dbf.rtfd.org/
-X-Python3-Version: >= 3.3
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-agate-dbf
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-agate-dbf.git
+Homepage: https://agate-dbf.rtfd.org/
 
 Package: python3-agatedbf
 Architecture: all
